const { Gpio } = require('onoff');

const redLED = new Gpio('4', 'out');
const blueLED = new Gpio('27', 'out')
const greenLED = new Gpio('22', 'out')


module.exports = {
    set: async (colour) => {
        switch (colour) {
            case 'red':
                redLED.writeSync(1)
                blueLED.writeSync(0)
                greenLED.writeSync(0)
                break;
            case 'blue':
                blueLED.writeSync(1)
                redLED.writeSync(0)
                greenLED.writeSync(0)
                break;
            case 'green':
                blueLED.writeSync(0)
                redLED.writeSync(0)
                greenLED.writeSync(1)
                break;
            case 'off':
                blueLED.writeSync(0)
                redLED.writeSync(0)
                greenLED.writeSync(0)
                break;
            default:
                break;
        }
    },
}